GET /api/abi/{address}
Get verified contract ABI
GET abi data from abi service
Endpoint​
GET https://api.web3identity.com/api/abi/{address}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
address | path | string | âś… | Ethereum address (0x...) |
Example Request​
curl -s "https://api.web3identity.com/api/abi/:address" | jq
Responses​
200 Success​
{
"abi": [
{
"type": "function",
"name": "transfer",
"inputs": [
{
"name": "to",
"type": "address"
},
{
"name": "amount",
"type": "uint256"
}
],
"outputs": [
{
"name": "success",
"type": "bool"
}
]
}
],
"verified": true,
"contractName": "ERC20"
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec